
Figure - Bug #115626
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111057 (New): AF-V2.0-Launcher/SystemU--应用预置

【AF】【EVT】【音乐】利用系统音乐播放一首歌曲，进入recent，移除音乐的进程卡片，该歌曲仍在播放
2023-02-01 11:19 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-01

Priority: High Due date: 2023-02-06

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Reproducibility: Every time Fixed Version: 2023-02-09

Test Type: ST Root cause: 需求实现，添加了qq音乐 酷狗音乐 网易云音乐 咪咕音乐 系统音乐在清除后台时停止播放音乐的功能

Description

【前提条件】

1、设备已开机

2、本地有歌曲

【测试步骤】

1、打开音乐

2、播放一首歌曲

3、上滑进入recent

4、移除音乐的进程卡片

【预期结果】

4、移除卡片时，音乐停止播放

【实际结果】

4、移除卡片后，该歌曲仍在播放

【PS】网易云音乐、QQ音乐播放时也有同样的问题

History

#1 - 2023-02-02 19:26 - CD FW 曹覃刚

- Due date set to 2023-02-06

#2 - 2023-02-03 18:15 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD BSP何伟

Hi 你好

与海波沟通后，说AUDIO侧，有现成的方式可以处理这个问题

请帮忙解析

非常感谢

#3 - 2023-02-06 13:49 - CD TEST-方永红

- Category changed from 客户jira bug to CD-FW
#4 - 2023-02-06 19:41 - CD BSP何伟

- Assignee changed from CD BSP何伟 to CD TEST-方永红

当前状态：

转出，需要测试同学帮忙确认

原因：

在我这边测试后发现从recent移除音乐的进程卡片后，其实app进程并没有退出，

通过top和ps命令还能看到该进程的存在，从状态栏依然能看到音乐在播放，

但使用kill命令将该app进程杀死后，音乐停止播放。

下一步：

请测试同学帮忙确认该现象是否为正常现象；

如果不是可能需要上层的同学调查为什么从recent移除卡片后进程没有退出。

#5 - 2023-02-07 20:15 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD FW 曹覃刚

#6 - 2023-02-07 20:17 - CD TEST-方永红

2.7

确认《从recent移除音乐的进程卡片后，其app进程并没有退出》为非正常现象

#7 - 2023-02-08 20:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179307 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Music: Need to stop playing music when clearing music taskTC-RID: 1201-0301201IssueID: TS-R-BUG-115626Change-Id:

I22dec750a78c4a5e68f41196c6afc488cb191bf3

#8 - 2023-02-08 20:28 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-09

- Root cause set to 需求实现，添加了qq音乐 酷狗音乐 网易云音乐 咪咕音乐 系统音乐在清除后台时停止播放音乐的功能

#9 - 2023-02-08 20:28 - CD FW 曹覃刚

- Degrated changed from -- to No

#10 - 2023-02-09 11:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101
2.9

验证通过

#11 - 2023-02-09 11:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-01 11-17-51.mp4 19 MB 2023-02-01 CD TEST-方永红
